## apache2 2.4.25

=== debian/changelog ===
apache2 (2.4.25-3+deb9u9) stretch-security; urgency=medium

  [ Xavier Guimard ]
  * Use correct patch for CVE-2019-10092. This fixes a regression in
    mod_proxy_balancer (Closes: #941202)

 -- Stefan Fritsch <sf@debian.org>  Sun, 13 Oct 2019 17:43:54 +0200

apache2 (2.4.25-3+deb9u8) stretch-security; urgency=high

  [ Xavier Guimard ]
  * Add patch to limit cross-site scripting in mod_proxy (Closes: CVE-2019-10092)
  * Import http2 modules from 2.4.41 (Closes: CVE-2019-9517, CVE-2019-10082, CVE-2019-10081)
  * Add patch to set PCRE_DOTALL by default (Closes: CVE-2019-10098)

  [ Stefan Fritsch ]
  * Add -Werror=implicit-function-declaration to compile options to catch
    problems with backports.

 -- Stefan Fritsch <sf@debian.org>  Mon, 19 Aug 2019 21:25:31 +0200

apache2 (2.4.25-3+deb9u7) stretch-security; urgency=medium

  [ Xavier Guimard ]
  * CVE-2018-17199: mode_session: Fix missing check for session expiry time.
    Closes: #920303

  [ Stefan Fritsch ]
  * mod_http2: Fix keepalive timeout behavior. This fixes a regression with
    Safari web browsers, introduced in 2.4.25-3+deb9u6. Closes: #915103
  * Fix typo in apache2_switch_mpm() in apache2-maintscript-helper.
    Closes: #904150
  * CVE-2018-17189: mod_http2: Fix DoS via slow, unneeded request bodies.
    Closes: #920302
  * CVE-2019-0196: mod_http2: Fix read after free
  * CVE-2019-0211: All MPMs: privilege escalation from www-data user to root.
  * CVE-2019-0217: mod_auth_digest: Access control bypass
  * CVE-2019-0220: URL normalization inconsistincy.
    Consecutive slashes in URL's are now merged before use in LocationMatch
    and RewriteRule. The old behavior can be restored with the new directive
    "MergeSlashes off".

 -- Stefan Fritsch <sf@debian.org>  Tue, 02 Apr 2019 21:05:13 +0200

apache2 (2.4.25-3+deb9u6) stretch; urgency=medium

  * CVE-2018-1333: mod_http2: Fix DoS by worker exhaustion. Closes: #904106
  * CVE-2018-11763: mod_http2: Fix DoS by continuous SETTINGS.
    Closes: #909591
  * mod_proxy_fcgi: Fix segfault. Closes: #902906

 -- Stefan Fritsch <sf@debian.org>  Sat, 03 Nov 2018 19:46:19 +0100

apache2 (2.4.25-3+deb9u5) stretch; urgency=medium

  * Upgrade mod_http and mod_proxy_http2 to the versions from 2.4.33. This
    fixes
    - CVE-2018-1302: mod_http2: Potential crash w/ mod_http2
    - Segfaults in mod_http2 (Closes: #873945)
    - mod_http2 issue with option "Indexes" and directive "HeaderName"
      (Closes: #850947)
    Unfortunately, this also removes support for http2 when running on
    mpm_prefork.
  * mod_http2: Avoid high memory usage with large files, causing crashes on
    32bit archs. Closes: #897218
  * Make the apache-htcacheclean init script actually look into
    /etc/default/apache-htcacheclean for its config. Closes: #898563

 -- Stefan Fritsch <sf@debian.org>  Sat, 02 Jun 2018 10:01:13 +0200

apache2 (2.4.25-3+deb9u4) stretch-security; urgency=medium

  * CVE-2017-15710: mod_authnz_ldap: Out of bound write in mod_authnz_ldap
    when using too small Accept-Language values.
  * CVE-2017-15715: <FilesMatch> bypass with a trailing newline in the file
    name.
    Configure the regular expression engine to match '$' to the end of
    the input string only, excluding matching the end of any embedded
    newline characters. Behavior can be changed with new directive
    'RegexDefaultOptions'.
  * CVE-2018-1283: Tampering of mod_session data for CGI applications.
  * CVE-2018-1301: Possible out of bound access after failure in reading the
    HTTP request
  * CVE-2018-1303: Possible out of bound read in mod_cache_socache
  * CVE-2018-1312: mod_auth_digest: Weak Digest auth nonce generation

 -- Stefan Fritsch <sf@debian.org>  Sat, 31 Mar 2018 10:47:16 +0200

apache2 (2.4.25-3+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-9798: Use-after-free by limiting unregistered HTTP method
    (Closes: #876109)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 19 Sep 2017 20:58:57 +0200

apache2 (2.4.25-3+deb9u2) stretch-security; urgency=medium

  * CVE-2017-9788: mod_auth_digest: Fix leak of uninitialized memory

 -- Stefan Fritsch <sf@debian.org>  Tue, 18 Jul 2017 20:37:33 +0200

apache2 (2.4.25-3+deb9u1) stretch-security; urgency=high

  * Backport security fixes from 2.4.26:
  * CVE-2017-3167: Authentication bypass with ap_get_basic_auth_pw()
  * CVE-2017-3169: mod_ssl NULL pointer dereference
  * CVE-2017-7668: Buffer overrun in ap_find_token()
  * CVE-2017-7679: mod_mime buffer overread
  * CVE-2017-7659: mod_http2 NULL pointer dereference

 -- Stefan Fritsch <sf@debian.org>  Tue, 20 Jun 2017 21:29:11 +0200

apache2 (2.4.25-3) unstable; urgency=medium

  * Fix detection of systemd to fix 'apache2ctl start' on sysv-init.
    Closes: #852543
  * Compile mod_bucketeer mod_case_filter mod_case_filter_in for benefit of
    the test suite, but don't add *.load files because they don't have any
    real-world use.
  * Include the upstream test suite and a corresponding autopkgtest. This
    is quite a hack but it may help quite a bit with security updates,
    especially if stretch gets LTS support, too.

 -- Stefan Fritsch <sf@debian.org>  Wed, 25 Jan 2017 23:59:26 +0100

apache2 (2.4.25-2) unstable; urgency=medium

  * Activate mod_reqtimeout in new installs and during updates from
    before 2.4.25-2. It was wrongly not activated in new installs since
    jessie. This made the default installation vulnerable to some DoS
    attacks.
  * Restart htcacheclean on updates and tighten dependency on apache2-utils
    to ensure that apache2-utils cannot be upgraded without apache2.
    Closes: #851122
  * When running on systems with systemd, make 'apache2ctl start' invoke
    systemctl instead. Otherwise systemd will think apache2 is not running
    and ignore further commands like reload. Closes: #839227
  * Avoid segfault in mpm_event if a signal is received too soon after start.
    PR 60487

