=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Stefan Fritsch <sf@debian.org>, Arno Töll <arno@debian.org>
 Build-Depends: debhelper (>= 9.20131213~), lsb-release, dpkg-dev (>= 1.16.1~),
  libaprutil1-dev (>= 1.5.0), libapr1-dev (>= 1.5.0), libpcre3-dev, zlib1g-dev,
- libnghttp2-dev, libssl-dev (>= 0.9.8m), perl,
- liblua5.2-dev, libxml2-dev, autotools-dev, gawk | awk
+ libnghttp2-dev, libssl1.0-dev | libssl-dev (<< 1.1), perl,
+ liblua5.2-dev, libxml2-dev, autotools-dev, gawk | awk,
+ dh-systemd
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-apache/apache2.git/
@@ -18,7 +19,7 @@
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: ${misc:Depends}, lsb-base, procps [!hurd-i386],
  perl, mime-support, apache2-bin (= ${binary:Version}),
- apache2-utils (>= 2.4), apache2-data (= ${source:Version}),
+ apache2-utils (= ${binary:Version}), apache2-data (= ${source:Version}),
  ${perl:Depends}
 Provides: httpd, httpd-cgi
 Recommends: ssl-cert
@@ -119,8 +120,8 @@
 
 Package: apache2-dev
 Architecture: any
-Depends: ${misc:Depends}, openssl,
- libapr1-dev, libaprutil1-dev, debhelper (>= 9), ${perl:Depends}
+Depends: ${misc:Depends}, openssl, libapr1-dev, libaprutil1-dev,
+ debhelper (>= 9), ${perl:Depends}
 Provides: dh-apache2
 Description: Apache HTTP Server (development headers)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
@@ -137,6 +138,18 @@
   - Site configuration files
   - Global configuration files
 
+Package: apache2-ssl-dev
+Architecture: any
+Depends: ${misc:Depends}, apache2-dev (= ${binary:Version}),
+ libssl1.0-dev | libssl-dev (<< 1.1)
+Description: Apache HTTP Server (mod_ssl development headers)
+ The Apache HTTP Server Project's goal is to build a secure, efficient and
+ extensible HTTP server as standards-compliant open source software. The
+ result has long been the number one web server on the Internet.
+ .
+ This package provides the development header and the dependencies for
+ modules that interact with mod_ssl's internal openssl state.
+
 Package: apache2-dbg
 Section: debug
 Priority: extra
