=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 BUILD_DATETIME := $(shell date -u --date="`dpkg-parsechangelog -S Date`" +%FT%T)
 MODULE_DIR := /usr/lib/apache2/modules/
 API = $(shell perl -ne 'print $$1 if m/define\s+MODULE_MAGIC_NUMBER_MAJOR\s+?(.*)$$/' < include/ap_mmn.h)
-AP2_CFLAGS = -pipe $(CFLAGS)
+AP2_CFLAGS = -pipe -Werror=implicit-function-declaration $(CFLAGS)
 AP2_LDFLAGS = -Wl,--as-needed $(LDFLAGS)
 AP2_CPPFLAGS = -DPLATFORM='\"$(LSB_RELEASE)\"' -DBUILD_DATETIME='\"$(BUILD_DATETIME)\"' $(CPPFLAGS)
 AP2_LTFLAGS = --no-silent
@@ -45,6 +45,31 @@
 		false ; \
 	fi
 
+debian/fixup_conffiles.tgz: \
+    debian/config-dir/sites-available/000-default.conf \
+    debian/config-dir/sites-available/default-ssl.conf \
+    debian/config-dir/conf-available/charset.conf \
+    debian/config-dir/conf-available/localized-error-pages.conf \
+    debian/config-dir/conf-available/other-vhosts-access-log.conf \
+    debian/config-dir/conf-available/security.conf \
+    debian/config-dir/mods-available/cern_meta.load \
+    debian/config-dir/mods-available/ident.load \
+    debian/config-dir/mods-available/imagemap.load
+	@# mtime/owner/group/mode are for reproducible build
+	tar \
+		--mtime=2000-01-01T00:00Z \
+		--owner=root:0 \
+		--group=root:0 \
+		--mode=0644 \
+		--transform 's,.*/,,' \
+		-c $^ | gzip -n > $@
+
+debian/fixup_conffiles.b64: debian/fixup_conffiles.tgz
+	base64 < $< > $@
+
+debian/apache2.preinst: debian/apache2.preinst.in debian/fixup_conffiles.b64 debian/create_preinst
+	debian/create_preinst
+
 clean-config-vars:
 	# Clean up config_vars.mk
 	# FIXME: Maybe someone could document here why we actually need to
@@ -59,7 +84,7 @@
 	(grep -s -v apache2:API debian/apache2-bin.substvars; echo apache2:API=apache2-api-$(API)) > debian/apache2-bin.substvars.new
 	mv debian/apache2-bin.substvars.new debian/apache2-bin.substvars
 
-generate-maintainer-scripts:
+generate-maintainer-scripts: debian/apache2.preinst
 	set -e ; \
 	for type in custom pristine ; do \
 		for f in postinst preinst prerm links dirs lintian-overrides postrm; do \
@@ -71,7 +96,7 @@
 	done
 
 clean build build-arch build-indep binary binary-arch binary-indep: %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autotools_dev,systemd
 
 override_dh_auto_configure: generate-maintainer-scripts prebuild-checks support/suexec-custom.c
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
@@ -84,10 +109,10 @@
 		--with-pcre=yes \
 		--enable-pie \
 		--enable-mpms-shared=all \
-		--enable-mods-shared="all cgi ident authnz_fcgi" \
+		--enable-mods-shared="all cgi ident authnz_fcgi imagemap cern_meta proxy_fdpass proxy_http2 bucketeer case_filter case_filter_in" \
 		--enable-mods-static="unixd logio watchdog version" \
 		CFLAGS="$(AP2_CFLAGS)" CPPFLAGS="$(AP2_CPPFLAGS)" LDFLAGS="$(AP2_LDFLAGS)" \
-		LTFLAGS="$(AP2_LTFLAGS)"
+		LTFLAGS="$(AP2_LTFLAGS)" SHELL=/bin/bash
 
 
 debian/config-dir/apache2.conf: debian/config-dir/apache2.conf.in
@@ -104,7 +129,9 @@
 endif
 
 override_dh_install: clean-config-vars prepare-scripts debian/config-dir/apache2.conf
-	dh_install --list-missing
+	# don't install mod_ssl_openssl.h in apache2-dev
+	dh_install --list-missing -papache2-dev -Xopenssl
+	dh_install --list-missing --remaining-packages
 
 override_dh_fixperms-arch:
 	# standard suexec
@@ -123,7 +150,16 @@
 
 override_dh_installinit:
 	dh_installinit --error-handler=true
-	dh_installinit --name apache-htcacheclean --noscripts
+	# We enable apache-htcacheclean but we don't start it, some
+	# custom postinst code will then manually either disable it or
+	# start the service
+	dh_installinit --name apache-htcacheclean --no-start
+
+override_dh_systemd_enable:
+	dh_systemd_enable -papache2 apache2.service
+	dh_systemd_enable -papache2 --name=apache2@ apache2@.service
+	dh_systemd_enable -papache2 --name=apache-htcacheclean apache-htcacheclean.service
+	dh_systemd_enable -papache2 --name=apache-htcacheclean@ apache-htcacheclean@.service
 
 override_dh_installdocs-indep:
 	# TODO: So, did anyone check convert_docs needs an update? ;)
@@ -132,6 +168,7 @@
 
 override_dh_installdocs-arch:
 	dh_installdocs --link-doc=apache2 -papache2 -papache2-dbg
+	dh_installdocs --link-doc=apache2-dev -papache2-ssl-dev
 	dh_installdocs -a
 
 override_dh_installchangelogs:
